Bug 3462 - cross compiling samba for linux targets fails
cross compiling samba for linux targets fails
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.21a
Other Linux
: P3 normal
: none
Assigned To: James Peach
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-29 05:28 UTC by Mike Frysinger
Modified: 2007-04-07 16:14 UTC (History)
0 users

See Also:


Attachments
030_all_samba-3.0.x-cross-compile.patch (531 bytes, patch)
2006-01-29 05:32 UTC, Mike Frysinger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Frysinger 2006-01-29 05:28:22 UTC
the configure script uses AC_TRY_RUN() to detect broken getgrouplist() in glibc without providing fallback logic when cross-compiling
Comment 1 Mike Frysinger 2006-01-29 05:32:51 UTC
Created attachment 1713 [details]
030_all_samba-3.0.x-cross-compile.patch
Comment 2 Gerald (Jerry) Carter 2007-04-04 00:37:31 UTC
James,  you seem to be doing more with cross-compiling these days.
Would you mind taking a look at this?  Thanks.
Comment 3 James Peach 2007-04-04 10:59:10 UTC
(In reply to comment #2)
> James,  you seem to be doing more with cross-compiling these days.
> Would you mind taking a look at this?  Thanks.

The attached patch looks OK. Generally, we wrap these thinks in an AC_CACHE_CHECK so that you can use a config.site to preflight the result of the test. 

I'll commit Mike's patch with the AC_CACHE_CHECK added in a day or so.
Comment 4 James Peach 2007-04-07 16:14:09 UTC
Fixed in SAMBA_3_0, revision 22127.